Subject: bug#64533: [PATCH] Support displaying function name in the header line

From: Eli Zaretskii <[email-masked]>
Date: Sun, 09 Jul 2023 08:36:37 +0300

> From: Spencer Baugh <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
> Date: Sat, 08 Jul 2023 16:58:50 -0400
> 
> +** Which Function Mode
> +
> ++++
> +*** Displaying the function name in the header line is now supported.

Passive voice alert!  Here's a better wording (also for reasons other
than passive voice);;

  Which Function Mode can now display function names on the header line.

> +(defcustom which-func-display '(mode)
> +  "Where to display the function name.
> +
> +This should be a list of symbols.  If it contains 'mode, display
> +in the mode line.  If it contains 'header, display in the header
> +line."

Which leaves it to the user to deduce that '(mode header) means both:
yet another reason not to prefer this kind of values in user options.

It also doesn't tell how to disable this display: another riddle left
to the user to solve.

Let's always remember that Emacs users are not necessarily experienced
Lispers.  User options should not be "tricky", especially where such
trickery is unjustified.  And the doc strings should not pose riddles,
however logical they seem to us.

Thanks.